osl::eval::ml::PtypeX Class Reference

`#include <minorPiece.h>`

## Public Types

enum | { DIM = PTYPE_SIZE * 5 }

## Static Public Member Functions

static void | setUp (const Weights &weights, int stage)
static MultiInt | eval (const NumEffectState &state)
template<Player P>
static MultiInt | evalWithUpdate (const NumEffectState &, Move moved, MultiInt const &last_value)

## Static Private Member Functions

static int | index (const Piece piece)
static int | index (const Player, const Ptype ptype, const Square pos)

## Static Private Attributes

static CArray< MultiInt, 80 > | table

## Detailed Description

Definition at line 754 of file minorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 757 of file minorPiece.h.

## Member Function Documentation

## eval()

MultiInt osl::eval::ml::PtypeX::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 587 of file minorPiece.cc.

References osl::BLACK, index(), osl::Piece::isOnBoard(), osl::Piece::owner(), osl::SimpleState::pieceOf(), osl::Piece::ptype(), osl::Piece::SIZE, osl::Piece::square(), table, and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval().

## evalWithUpdate()

template<osl::Player P>

template MultiInt osl::eval::ml::PtypeX::evalWithUpdate< WHITE > | ( | const NumEffectState & | ,
|  | Move | moved,
|  | MultiInt const & | last_value )

static

Definition at line 604 of file minorPiece.cc.

References osl::BLACK, osl::captured(), osl::Move::capturePtype(), osl::Move::from(), index(), osl::Move::isDrop(), osl::Move::oldPtype(), osl::Move::ptype(), osl::PTYPE_EMPTY, table, osl::Move::to(), and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::updateSub().

## index() [1/2]

int osl::eval::ml::PtypeX::index | ( | const Piece | piece | ) |

inline static private

Definition at line 765 of file minorPiece.h.

References index(), osl::Piece::owner(), osl::Piece::ptype(), and osl::Piece::square().

Referenced by eval(), evalWithUpdate(), and index().

## index() [2/2]

int osl::eval::ml::PtypeX::index | ( | const Player | ,
|  | const Ptype | ptype,
|  | const Square | pos )

inline static private

Definition at line 769 of file minorPiece.h.

References osl::Square::x().

## setUp()

void osl::eval::ml::PtypeX::setUp | ( | const Weights & | weights,
|  | int | stage )

static

Definition at line 578 of file minorPiece.cc.

References osl::eval::ml::Weights::dimension(), table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< MultiInt, 80 > osl::eval::ml::PtypeX::table

static private

Definition at line 764 of file minorPiece.h.

Referenced by eval(), evalWithUpdate(), and setUp().

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc